### Method

# Ide Notification dup_id

#### Declaration

    gchar*
    ide_notification_dup_id (
      IdeNotification* self
    )

#### Description

Copies the id of the notification and returns it to the caller after locking the object. A copy is used to avoid thread-races.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| No description available.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.